edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SipcClient Class Reference

Simple IPC client. More...

`#include <edelib/Sipc.h>`

## Public Member Functions
| SipcClient ()
| ~SipcClient ()
bool | connect (const char *prefix)
void | send (const char *msg)

## Detailed Description

Simple IPC client.

A client side of this simple IPC implementation. Clients will connects on the names servers are using and send textual messages to them.

Here is the sample:

SipcClient c;
if(!c.connect("demo"))
// fail
c.send("howdy");

Note
  Message length is currently is limited to 1024 bytes.

## Constructor & Destructor Documentation

SipcClient | ( |  | ) |

Constructor; prepares internal data

~SipcClient | ( |  | ) |

Cleans internal stuff, closes connections

## Member Function Documentation

bool connect | ( | const char * | prefix | ) |

Connects to the given name

Returns
  false if name does not exists or some error occured

Parameters

  prefix | is name to be connected to

void send | ( | const char * | msg | ) |

Sends an message

Parameters

  msg | is textual message

The documentation for this class was generated from the following file:

- edelib/Sipc.h